Subject: bug#65840: 29.1; desktop-load moves frames to the right and down

From: Christian Tanzer <[email-masked]>
Date: Wed, 13 Sep 2023 19:27:52 +0100

On 13.09.2023, at 06:09, Gerd Möllmann <[email-masked]> wrote:
> 
> Eli Zaretskii <[email-masked]> writes:
> 
>>> Date: Sat, 09 Sep 2023 12:32:42 -0000
>>> From: tanzer--- via "Bug reports for GNU Emacs,
>>> the Swiss army knife of text editors" <[email-masked]>
>>> 
>>> In GNU Emacs 29.1, desktop-load moves frames to the right and down.
>> 
>> This is probably specific to macOS, or maybe even to your window
>> manager, because it doesn't happen to me, and I'm a heavy user of
>> desktop.el.
> 
> I'm afraid I can't reproduce this either, on Ventura/Big Sur, and I
> haven't noticed something like this in "real life" either.
> 
> I guess this wasn't with emacs -Q, or was it?

No, it wasn’t.

And with -Q the frame positions are restored correctly.

There is still the question why Emacs 29 behaves differently then 28 or earlier in my environment and shifts the frames upon desktop-read.

Any hints what I should look for in my elisp code in this regard?